Subject: [alpine-devel] testing/luasql-postgres: new abuild

From: "Mika Havela" <[email-masked]>
Date: Fri, 05 Jun 2009 15:06:47 +0000

Needed by acf-weblog.
It builds but I don't know how to check if it works, so I'm hoping that someone could test it.
<<mhavela>>

From 61eddf51f3ec882851634ab0d11b8d38e341ddf9 Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Fri, 5 Jun 2009 15:04:28 +0000
Subject: [PATCH] testing/luasql-postgres: new aport
 LuaSQL is a simple interface from Lua to a DBMS
 http://www.keplerproject.org/luasql/

---
 testing/luasql-postgres/APKBUILD   |   31 +++++++++++++++++++
 testing/luasql-postgres/config.new |   59 ++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 0 deletions(-)
 create mode 100644 testing/luasql-postgres/APKBUILD
 create mode 100644 testing/luasql-postgres/config.new

diff --git a/testing/luasql-postgres/APKBUILD b/testing/luasql-postgres/APKBUILD
new file mode 100644
index 0000000..1e983d0
--- /dev/null
+++ b/testing/luasql-postgres/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Mika Havela <[email-masked]>
+# Maintainer: Mika Havela <[email-masked]>
+pkgname=luasql-postgres
+pkgver=2.1.1
+pkgrel=0
+pkgdesc="LuaSQL is a simple interface from Lua to a DBMS"
+url="http://www.keplerproject.org/luasql/"
+license="MIT"
+depends="lua postgresql"
+makedepends="lua-dev postgresql-dev"
+install=
+subpackages=""
+source="http://luaforge.net/frs/download.php/2686/luasql-$pkgver.tar.gz
+	config.new
+	"
+
+build() {
+	cd "$srcdir/luasql-$pkgver"
+	cp "$srcdir/config.new" config
+
+#	./configure --prefix=/usr \
+#		--sysconfdir=/etc \
+#		--mandir=/usr/share/man \
+#		--infodir=/usr/share/info
+	make || return 1
+	mkdir -p $startdir/pkg/usr/lib/lua/5.1/luasql
+	cp src/postgres.so $startdir/pkg/usr/lib/lua/5.1/luasql
+}
+
+md5sums="63bdd57de4b9d1be336ba112d8cb69eb  luasql-2.1.1.tar.gz
+6ee28fa90394da6a7e38cf507d56ba80  config.new"
diff --git a/testing/luasql-postgres/config.new b/testing/luasql-postgres/config.new
new file mode 100644
index 0000000..a8650c5
--- /dev/null
+++ b/testing/luasql-postgres/config.new
@@ -0,0 +1,59 @@
+# Driver (leave uncommented ONLY the line with the name of the driver)
+#T= mysql
+#T= oci8
+#T= odbc
+T= postgres
+#T= sqlite
+#T=sqlite3
+
+# Installation directories
+
+# Default prefix
+PREFIX = /usr
+
+# System's libraries directory (where binary libraries are installed)
+LUA_LIBDIR= $(PREFIX)/lib/lua/5.1
+
+# System's lua directory (where Lua libraries are installed)
+LUA_DIR= $(PREFIX)/share/lua/5.1
+
+# Lua includes directory
+LUA_INC= $(PREFIX)/include
+
+# Lua version number (first and second digits of target version)
+LUA_VERSION_NUM= 514
+
+# OS dependent
+LIB_OPTION= -shared #for Linux
+#LIB_OPTION= -bundle -undefined dynamic_lookup #for MacOS X
+
+LIBNAME= $T.so
+COMPAT_DIR= ../compat/src
+
+# Compilation parameters
+# Driver specific
+######## MySQL
+#DRIVER_LIBS= -L/usr/local/mysql/lib -lmysqlclient -lz
+#DRIVER_INCS= -I/usr/local/mysql/include
+######## Oracle OCI8
+#DRIVER_LIBS= -L/home/oracle/OraHome1/lib -lz -lclntsh
+#DRIVER_INCS= -I/home/oracle/OraHome1/rdbms/demo -I/home/oracle/OraHome1/rdbms/public
+######## PostgreSQL
+DRIVER_LIBS= -L/usr/pgsql/lib -lpq
+DRIVER_INCS= -I/usr/pgsql/include
+######## SQLite
+#DRIVER_LIBS= -lsqlite
+#DRIVER_INCS=
+######## SQLite3
+#DRIVER_LIBS= -L/opt/local/lib -lsqlite3
+#DRIVER_INCS= -I/opt/local/include
+######## ODBC
+#DRIVER_LIBS= -L/usr/local/lib -lodbc
+#DRIVER_INCS= -DUNIXODBC -I/usr/local/include
+
+WARN= -Wall -Wmissing-prototypes -Wmissing-declarations -ansi -pedantic
+INCS= -I$(LUA_INC)
+CFLAGS= -O2 $(WARN) -I$(COMPAT_DIR) $(DRIVER_INCS) $(INCS) $(DEFS)
+CC= gcc
+
+# $Id: config,v 1.8 2007/10/27 22:55:27 carregal Exp $
-- 
1.6.2.5

---

From: Michael Mason <[email-masked]>
Date: Sat, 6 Jun 2009 00:57:48 +0000

> that someone could test it.
Patch Applied. Didn't do any testing... Still needs to be verified if  
changes took affect.
http://git.alpinelinux.org/cgit/aports-mmason/

> <0001-testing-luasql-postgres-new-aport.patch>

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---